<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:gri="http://java.sun.com/jsf/composite/gri"

        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.assertion-manager.ModelBasedValidationServices']}</h1>
        <gri:panel id="mainPanel" rendered="#{identity.loggedIn}">
            <f:facet name="header">#{messages['net.ihe.gazelle.assertion-manager.RefreshStatus']}</f:facet>
            <div class="row">
                <div class="col-md-4">
                    <h2 style="color: red;">Missing idSchemes</h2>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.The']} #{mbvServiceManager.getSelectedMbvService().getKeyword()} Mbv service references oasis idSchemes that are unknown"/>

                    <a4j:repeat
                            value="#{mbvServiceManager.getMissingOasisTarget()}"
                            var="missingIdScheme">
                        <li>
                            <h:outputText value="#{missingIdScheme}"/>
                            <h:outputLink
                                    title="Add Missing IdScheme"
                                    rendered="#{s:hasRole('admin_role')}"
                                    value="#{request.contextPath}/idSchemes/new.seam">
                                <f:param name="new" value="1"/>
                                <f:param name="idScheme" value="#{missingIdScheme}"/>
                                <span class="gzl-icon-plus"/>
                            </h:outputLink>
                        </li>
                    </a4j:repeat>
                    <h2 style="color: red;">#{messages['net.ihe.gazelle.assertion-manager.MissingAssertions']}</h2>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.The']} #{mbvServiceManager.getSelectedMbvService().getKeyword()} #{messages['net.ihe.gazelle.assertion-manager.MbvServiceReferencesOasisTestAssertionsThatAreUn']}"/>

                    <a4j:repeat
                            value="#{mbvServiceManager.getMissingOasisTestAssertion()}"
                            var="missingAssertion">
                        <li>
                            <h:outputText value="#{missingAssertion.idScheme} - #{missingAssertion.assertionId}"/>
                            <h:outputLink rendered="#{mbvServiceManager.idSchemeExists(missingAssertion.idScheme)}"
                                          id="createMissingAssertion"
                                          title="Create missing assertion"
                                          value="#{request.contextPath}/assertions/new.seam">
                                <f:param name="idScheme" value="#{missingAssertion.idScheme}"/>
                                <f:param name="assertionId" value="#{missingAssertion.assertionId}"/>
                                <f:param name="new" value="1"/>
                                <span class="gzl-icon-plus"/>
                            </h:outputLink>
                        </li>
                    </a4j:repeat>
                </div>
                <div class="col-md-4">
                    <h2 style="color: orange;">#{messages['net.ihe.gazelle.assertion-manager.NoMoreCovered']}</h2>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.The']} #{mbvServiceManager.getSelectedMbvService().getKeyword()} #{messages['net.ihe.gazelle.assertion-manager.MbvServiceRemovedTheCoverageOfTheFollowingAssert']}"/>
                    <a4j:repeat value="#{mbvServiceManager.getCoverageRemoved()}"
                                var="noMoreCoveredAssertion">
                        <li>
                            <h:outputLink
                                    title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertion']} #{noMoreCoveredAssertion.assertionId}"
                                    value="#{request.contextPath}/assertions/show.seam">
                                <f:param name="idScheme"
                                         value="#{noMoreCoveredAssertion.idScheme}"/>
                                <f:param name="assertionId"
                                         value="#{noMoreCoveredAssertion.assertionId}"/>
                                <h:outputText value="#{noMoreCoveredAssertion.idScheme} - #{noMoreCoveredAssertion.assertionId}"/>
                            </h:outputLink>
                        </li>
                    </a4j:repeat>
                </div>
                <div class="col-md-4">
                    <h2 style="color: green;">
                        #{messages['net.ihe.gazelle.assertion-manager.CoveredAssertions']}</h2>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.The']} #{mbvServiceManager.getSelectedMbvService().getKeyword()} #{messages['net.ihe.gazelle.assertion-manager.MbvServiceCoversTheFollowingAssertions']}"/>
                    <a4j:repeat value="#{mbvServiceManager.getAssertionsCovered()}"
                                var="coveredAssertion">
                        <li>
                            <h:outputLink
                                    title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertion']} #{coveredAssertion.assertionId}"
                                    value="#{request.contextPath}/assertions/show.seam">
                                <f:param name="idScheme" value="#{coveredAssertion.idScheme}"/>
                                <f:param name="assertionId"
                                         value="#{coveredAssertion.assertionId}"/>
                                <h:outputText value="#{coveredAssertion.idScheme} - #{coveredAssertion.assertionId}"/>
                            </h:outputLink>
                        </li>
                    </a4j:repeat>
                </div>
            </div>
        </gri:panel>
    </ui:define>
</ui:composition>
